> For clean Markdown of any page, append `.md` to the page URL.
> For a complete documentation index, see https://docs.sarvam.ai/llms.txt.
> For full documentation content in one file, see https://docs.sarvam.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.sarvam.ai/_mcp/server.

# Retry webhook deliveries

POST https://apps.sarvam.ai/api/scheduling/v1/orgs/{org_id}/workspaces/{workspace_id}/deployments/{deployment_id}/webhooks/retry
Content-Type: application/json

Reference: https://docs.sarvam.ai/conversations/api/deployments/webhooks/retry

## Request

### Path parameters

- `org_id` (string, required)
- `workspace_id` (string, required)
- `deployment_id` (string, required) — Deployment whose webhook deliveries to retry

### Body (application/json)

- `attempt_ids` (list of string, required) — Attempt IDs to re-deliver. Max 200 per request. Duplicates are removed.

## Response

### 202

Accepted — retry request queued for processing

## Examples

### Retry a single webhook

**Request**

```json
{
  "attempt_ids": [
    "20260828/8448d531-12:47:17-0f1a2cb7"
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python Retry a single webhook
import requests

url = "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry"

payload = { "attempt_ids": ["20260828/8448d531-12:47:17-0f1a2cb7"] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Retry a single webhook
const url = 'https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"attempt_ids":["20260828/8448d531-12:47:17-0f1a2cb7"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Retry a single webhook
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry"

	payload := strings.NewReader("{\n  \"attempt_ids\": [\n    \"20260828/8448d531-12:47:17-0f1a2cb7\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Retry a single webhook
require 'uri'
require 'net/http'

url = URI("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"attempt_ids\": [\n    \"20260828/8448d531-12:47:17-0f1a2cb7\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Retry a single webhook
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry")
  .header("Content-Type", "application/json")
  .body("{\n  \"attempt_ids\": [\n    \"20260828/8448d531-12:47:17-0f1a2cb7\"\n  ]\n}")
  .asString();
```

```php Retry a single webhook
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry', [
  'body' => '{
  "attempt_ids": [
    "20260828/8448d531-12:47:17-0f1a2cb7"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Retry a single webhook
using RestSharp;

var client = new RestClient("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"attempt_ids\": [\n    \"20260828/8448d531-12:47:17-0f1a2cb7\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Retry a single webhook
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["attempt_ids": ["20260828/8448d531-12:47:17-0f1a2cb7"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Retry multiple webhooks

**Request**

```json
{
  "attempt_ids": [
    "20260828/8448d531-12:47:17-0f1a2cb7",
    "20260828/8448d531-12:46:47-923b2455"
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python Retry multiple webhooks
import requests

url = "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry"

payload = { "attempt_ids": ["20260828/8448d531-12:47:17-0f1a2cb7", "20260828/8448d531-12:46:47-923b2455"] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Retry multiple webhooks
const url = 'https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"attempt_ids":["20260828/8448d531-12:47:17-0f1a2cb7","20260828/8448d531-12:46:47-923b2455"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Retry multiple webhooks
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry"

	payload := strings.NewReader("{\n  \"attempt_ids\": [\n    \"20260828/8448d531-12:47:17-0f1a2cb7\",\n    \"20260828/8448d531-12:46:47-923b2455\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Retry multiple webhooks
require 'uri'
require 'net/http'

url = URI("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"attempt_ids\": [\n    \"20260828/8448d531-12:47:17-0f1a2cb7\",\n    \"20260828/8448d531-12:46:47-923b2455\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Retry multiple webhooks
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry")
  .header("Content-Type", "application/json")
  .body("{\n  \"attempt_ids\": [\n    \"20260828/8448d531-12:47:17-0f1a2cb7\",\n    \"20260828/8448d531-12:46:47-923b2455\"\n  ]\n}")
  .asString();
```

```php Retry multiple webhooks
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry', [
  'body' => '{
  "attempt_ids": [
    "20260828/8448d531-12:47:17-0f1a2cb7",
    "20260828/8448d531-12:46:47-923b2455"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Retry multiple webhooks
using RestSharp;

var client = new RestClient("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"attempt_ids\": [\n    \"20260828/8448d531-12:47:17-0f1a2cb7\",\n    \"20260828/8448d531-12:46:47-923b2455\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Retry multiple webhooks
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["attempt_ids": ["20260828/8448d531-12:47:17-0f1a2cb7", "20260828/8448d531-12:46:47-923b2455"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks/retry")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```